Récupérer l’état de santé des hyperviseurs Enterprise
curl --request GET \
--url https://api.devin.ai/v2/enterprise/hypervisors/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/hypervisors/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/hypervisors/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"hypervisor_id": "<string>",
"status": "<string>",
"seconds_since_report": 123
}
]Endpoints d’infrastructure
Lister les hyperviseurs
Obtenir des informations sur l’état des hyperviseurs pour la surveillance VPC
GET
/
v2
/
enterprise
/
hypervisors
/
health
Récupérer l’état de santé des hyperviseurs Enterprise
Nécessite une clé API personnelle d’administrateur Enterprise.
Renvoie une liste d’hyperviseurs avec leur état de santé actuel pour l’Enterprise. Cet endpoint est conçu pour la surveillance VPC (Virtual Private Cloud) et permet aux administrateurs Enterprise de vérifier l’état de santé de leur infrastructure d’hyperviseurs.
Cet endpoint est uniquement disponible pour les entreprises disposant de déploiements VPC.

